---
title: RTCInboundRtpStreamStats.receiverId
slug: Web/API/RTCInboundRtpStreamStats/receiverId
tags:
  - API
  - Audio
  - Media
  - Property
  - RTCInboundRtpStreamStats
  - RTP
  - RTP Receiver
  - Reference
  - Statistics
  - Stats
  - Video
  - WebRTC
  - WebRTC API
  - receiver
  - receiverId
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <strong><code>receiverId</code></strong> property of the {{domxref("RTCInboundRtpStreamStats")}} dictionary specifies the {{domxref("RTCStats.id", "id")}} of the {{domxref("RTCAudioReceiverStats")}} or {{domxref("RTCVideoReceiverStats")}} object representing the {{domxref("RTCRtpReceiver")}} receiving the stream.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>receiverStatsId</em> = <em>rtcInboundRtpStreamStats</em>.receiverId;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} which contains the ID of the <code>RTCAudioReceiverStats</code> or <code>RTCVideoReceiverStats</code> object which provides information about the <code>RTCRtpReceiver</code> which is receiving the streamed media.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC Statistics Identifiers', '#dom-rtcinboundrtpstreamstats-receiverid', 'RTCInboundRtpStreamStats.receiverId')}}</td>
   <td>{{Spec2('WebRTC Statistics Identifiers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCInboundRtpStreamStats.receiverId")}}</p>
